Summary: YAIM module for gLite cluster
Name: glite-yaim-cluster
Version: 2.1.1
Release: 3%{?dist}%{!?dist:.el5}
License: Apache License 2.0
Vendor: EMI
Group: System Environment/Libraries
BuildArch: noarch
Requires: glite-yaim-core
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%description
YAIM module for gLite cluster

%prep

%setup -c -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/glite/yaim/functions/utils
mkdir -p %{buildroot}/opt/glite/yaim/node-info.d
mkdir -p %{buildroot}/opt/glite/yaim/defaults
mkdir -p %{buildroot}/opt/glite/yaim/examples/siteinfo/services
mkdir -p %{buildroot}/opt/glite/yaim/etc/versions
	
cp %{_builddir}/%{name}-%{version}/config/functions/config* %{buildroot}/opt/glite/yaim/functions
cp %{_builddir}/%{name}-%{version}/config/functions/utils/*_* %{buildroot}/opt/glite/yaim/functions/utils
cp %{_builddir}/%{name}-%{version}/config/node-info.d/glite-* %{buildroot}/opt/glite/yaim/node-info.d
cp %{_builddir}/%{name}-%{version}/config/defaults/glite-* %{buildroot}/opt/glite/yaim/defaults
cp %{_builddir}/%{name}-%{version}/config/services/glite-* %{buildroot}/opt/glite/yaim/examples/siteinfo/services
echo "glite-yaim-cluster 2.1.1-3" > %{buildroot}/opt/glite/yaim/etc/versions/glite-yaim-cluster

%clean
rm -rf %{buildroot}

 

%files
%defattr(-,root,root)
/opt/glite/yaim/defaults/glite-cluster.post
/opt/glite/yaim/defaults/glite-cluster.pre
/opt/glite/yaim/etc/versions/glite-yaim-cluster
/opt/glite/yaim/examples/siteinfo/services/glite-cluster
/opt/glite/yaim/functions/config_*
/opt/glite/yaim/functions/utils/backup_cluster_file
/opt/glite/yaim/node-info.d/glite-cluster


%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 2.1.1-3
- New major release

